#include <iostream>
long long A[20];
long long B[20];
using namespace std;

int main()
{
    long long k;
    cin >> k;
    long long i=0, j=0;
    while(k%10==0)
    {
        k=k/10;
    }
    while(k>0)
    {
        A[i]=k%10;
        k=k/10;
        i++;
        j++;
    }
    long long s=0;
    for(i=0; i<j; i++)
    {
        if(A[i]==2)
        {
            B[s]=5;
            s++;
        }
        else if(A[i]==5)
        {
            B[s]=2;
            s++;
        }
        else if(A[i]!=2 && A[i]!=5)
        {
            B[s]=A[i];
            s++;
        }
    }
    for(i=0; i<s; i++)
    {
        cout << B[i];
    }
    return 0;
}
